declare const textColor: {
    readonly 'text/primary': "#835EEB";
    readonly 'text/accent/blue': "#4880ee";
    readonly 'text/accent/green': "#1FCCA1";
    readonly 'text/accent/yellow': "#FFC107";
    readonly 'text/accent/red': "#F22735";
    readonly 'text/neutral/subtlest': "#8D94A0";
    readonly 'text/neutral/subtler': "#7A828D";
    readonly 'text/neutral/subtle': "#575C64";
    readonly 'text/neutral': "#33373B";
    readonly 'text/inverse': "#FFFFFF";
    readonly 'text/inverse/subtle': "#E5E7EB";
    readonly 'text/inverse/subtler': "#D1D5DB";
    readonly 'text/disabled': "#8D94A0";
    readonly 'text/success': "#1FCCA1";
    readonly 'text/warning': "#FFC107";
    readonly 'text/danger': "#F22735";
    readonly 'text/selected': "#33373B";
};
declare const bgColor: {
    readonly 'bg/secondary': "#F3EFFD";
    readonly 'bg/secondary/hovered': "#D9CDF9";
    readonly 'bg/secondary/pressed': "#D9CDF9";
    readonly 'bg/primary': "#835EEB";
    readonly 'bg/primary/hovered': "#5D43A7";
    readonly 'bg/primary/pressed': "#5D43A7";
    readonly 'bg/neutral/subtlest': "#FFFFFF00";
    readonly 'bg/neutral/subtlest/hovered': "#F9FAFB";
    readonly 'bg/neutral/subtlest/pressed': "#F9FAFB";
    readonly 'bg/neutral/subtler': "#FFFFFF00";
    readonly 'bg/neutral/subtler/hovered': "#F3F4F6";
    readonly 'bg/neutral/subtler/pressed': "#F3F4F6";
    readonly 'bg/neutral/subtle': "#F9FAFB";
    readonly 'bg/neutral/subtle/hovered': "#E5E7EB";
    readonly 'bg/neutral/subtle/pressed': "#E5E7EB";
    readonly 'bg/neutral': "#F3F4F6";
    readonly 'bg/neutral/hovered': "#D1D5DB";
    readonly 'bg/neutral/pressed': "#D1D5DB";
    readonly 'bg/neutral/bold': "#575C64";
    readonly 'bg/neutral/bold/hovered': "#33373B";
    readonly 'bg/neutral/bold/pressed': "#33373B";
    readonly 'bg/neutral/bolder': "#33373B";
    readonly 'bg/neutral/bolder/hovered': "#000000";
    readonly 'bg/neutral/bolder/pressed': "#000000";
    readonly 'bg/disabled': "#F3F4F6";
    readonly 'bg/disabled/subtlest': "#FFFFFF00";
    readonly 'bg/input': "#FFFFFF";
    readonly 'bg/accent/blue/subtlest': "#edf2fd";
    readonly 'bg/accent/green/subtlest': "#E9FAF6";
    readonly 'bg/accent/yellow/subtlest': "#FFF9E6";
    readonly 'bg/accent/red/subtlest': "#FEE9EB";
    readonly 'bg/accent/red/subtle': "#F5525D";
    readonly 'bg/accent/red': "#F22735";
    readonly 'bg/accent/gray/subtlest': "#E5E7EB";
    readonly 'bg/selected/violet': "#835EEB";
    readonly 'bg/selected': "#33373B";
    readonly 'bg/selected/subtle': "#F3F4F6";
    readonly 'bg/inverse': "#000000";
    readonly 'bg/inverse/subtlest': "#FFFFFF1A";
    readonly 'bg/success': "#E9FAF6";
    readonly 'bg/success/bold': "#1FCCA1";
    readonly 'bg/warning': "#FFF9E6";
    readonly 'bg/warning/bold': "#FFC107";
    readonly 'bg/danger': "#FEE9EB";
    readonly 'bg/danger/bold': "#F5525D";
    readonly 'bg/danger/bold/hovered': "#DC2330";
    readonly 'bg/danger/bold/pressed': "#DC2330";
};
declare const borderColor: {
    readonly 'border/neutral/subtle': "#F3F4F6";
    readonly 'border/neutral': "#E5E7EB";
    readonly 'border/neutral/bolder': "#D1D5DB";
    readonly 'border/input': "#E5E7EB";
    readonly 'border/inverse': "#FFFFFF1A";
    readonly 'border/selected': "#33373B";
    readonly 'border/disabled': "#F3F4F6";
    readonly 'border/primary': "#835EEB";
    readonly 'border/hovered': "#84aaf4";
    readonly 'border/focused': "#4880ee";
    readonly 'border/danger': "#F22735";
    readonly 'border/success': "#1FCCA1";
};
declare const iconColor: {
    readonly 'icon/neutral': "#D1D5DB";
    readonly 'icon/neutral/bold': "#8D94A0";
    readonly 'icon/neutral/bolder': "#575C64";
    readonly 'icon/accent/gray': "#33373B";
    readonly 'icon/accent/blue': "#4880ee";
    readonly 'icon/accent/blue/bold': "#335ba9";
    readonly 'icon/accent/green': "#1FCCA1";
    readonly 'icon/accent/yellow': "#FFC107";
    readonly 'icon/accent/red': "#F22735";
    readonly 'icon/inverse': "#FFFFFF";
    readonly 'icon/disabled': "#D1D5DB";
    readonly 'icon/disabled/subtler': "#E5E7EB";
    readonly 'icon/selected/violet': "#835EEB";
    readonly 'icon/selected': "#33373B";
    readonly 'icon/primary/subtle': "#C6B5F6";
    readonly 'icon/primary': "#835EEB";
    readonly 'icon/primary/bold': "#5D43A7";
    readonly 'icon/success': "#1FCCA1";
    readonly 'icon/warning': "#FFC107";
    readonly 'icon/danger': "#F22735";
};
declare const linkColor: {
    readonly link: "#4880ee";
    readonly 'link/hovered': "#335ba9";
    readonly 'link/pressed': "#335ba9";
    readonly 'link/neutral': "#7A828D";
    readonly 'link/neutral/hovered': "#575C64";
    readonly 'link/neutral/pressed': "#575C64";
    readonly 'link/neutral/bold': "#575C64";
    readonly 'link/neutral/bold/hovered': "#33373B";
    readonly 'link/neutral/bold/pressed': "#33373B";
    readonly 'link/disabled': "#575C64";
};
declare const dimColor: {
    readonly dim: "#00000099";
};
declare const scaleColor: {
    'scale/violet/0': "#F3EFFD";
    'scale/violet/1': "#E8E1FB";
    'scale/violet/2': "#D9CDF9";
    'scale/violet/3': "#C6B5F6";
    'scale/violet/4': "#9C7EEF";
    'scale/violet/5': "#835EEB";
    'scale/violet/6': "#7756D6";
    'scale/violet/7': "#5D43A7";
    'scale/violet/8': "#483481";
    'scale/violet/9': "#372763";
    'scale/gray/0': "#F9FAFB";
    'scale/gray/1': "#F3F4F6";
    'scale/gray/2': "#E5E7EB";
    'scale/gray/3': "#D1D5DB";
    'scale/gray/4': "#8D94A0";
    'scale/gray/5': "#7A828D";
    'scale/gray/6': "#6F7680";
    'scale/gray/7': "#575C64";
    'scale/gray/8': "#43484E";
    'scale/gray/9': "#33373B";
    'scale/blue/0': "#edf2fd";
    'scale/blue/1': "#c6d8fa";
    'scale/blue/2': "#abc5f7";
    'scale/blue/3': "#84aaf4";
    'scale/blue/4': "#6d99f1";
    'scale/blue/5': "#4880ee";
    'scale/blue/6': "#4274d9";
    'scale/blue/7': "#335ba9";
    'scale/blue/8': "#284683";
    'scale/blue/9': "#1e3664";
    'scale/green/0': "#E9FAF6";
    'scale/green/1': "#BAEFE2";
    'scale/green/2': "#98E8D4";
    'scale/green/3': "#69DDC0";
    'scale/green/4': "#4CD6B4";
    'scale/green/5': "#1FCCA1";
    'scale/green/6': "#1CBA93";
    'scale/green/7': "#169172";
    'scale/green/8': "#117059";
    'scale/green/9': "#0D5644";
    'scale/pink/0': "#FCF2FD";
    'scale/pink/1': "#F5D6F8";
    'scale/pink/2': "#F0C2F4";
    'scale/pink/3': "#E9A7EF";
    'scale/pink/4': "#E595EC";
    'scale/pink/5': "#DE7BE7";
    'scale/pink/6': "#CA70D2";
    'scale/pink/7': "#9E57A4";
    'scale/pink/8': "#7A447F";
    'scale/pink/9': "#5D3461";
    'scale/skyblue/0': "#EFF9FD";
    'scale/skyblue/1': "#CFEDF8";
    'scale/skyblue/2': "#B7E4F5";
    'scale/skyblue/3': "#96D8F1";
    'scale/skyblue/4': "#82D1EE";
    'scale/skyblue/5': "#63C5EA";
    'scale/skyblue/6': "#5AB3D5";
    'scale/skyblue/7': "#468CA6";
    'scale/skyblue/8': "#366C81";
    'scale/skyblue/9': "#2A5362";
    'scale/red/0': "#632A2A";
    'scale/red/1': "#823838";
    'scale/red/2': "#A84848";
    'scale/red/3': "#D75C5C";
    'scale/red/4': "#EC6565";
    'scale/red/5': "#F08484";
    'scale/red/6': "#F29898";
    'scale/red/7': "#F6B8B8";
    'scale/red/8': "#F9CFCF";
    'scale/red/9': "#FDF0F0";
    'scale/yellow/0': "#675025";
    'scale/yellow/1': "#876931";
    'scale/yellow/2': "#AE883F";
    'scale/yellow/3': "#DFAE51";
    'scale/yellow/4': "#F5BF59";
    'scale/yellow/5': "#F7CC7A";
    'scale/yellow/6': "#F8D490";
    'scale/yellow/7': "#FAE2B3";
    'scale/yellow/8': "#FCEBCC";
    'scale/yellow/9': "#FEF9EE";
};
declare const color: {
    readonly 'scale/violet/0': "#F3EFFD";
    readonly 'scale/violet/1': "#E8E1FB";
    readonly 'scale/violet/2': "#D9CDF9";
    readonly 'scale/violet/3': "#C6B5F6";
    readonly 'scale/violet/4': "#9C7EEF";
    readonly 'scale/violet/5': "#835EEB";
    readonly 'scale/violet/6': "#7756D6";
    readonly 'scale/violet/7': "#5D43A7";
    readonly 'scale/violet/8': "#483481";
    readonly 'scale/violet/9': "#372763";
    readonly 'scale/gray/0': "#F9FAFB";
    readonly 'scale/gray/1': "#F3F4F6";
    readonly 'scale/gray/2': "#E5E7EB";
    readonly 'scale/gray/3': "#D1D5DB";
    readonly 'scale/gray/4': "#8D94A0";
    readonly 'scale/gray/5': "#7A828D";
    readonly 'scale/gray/6': "#6F7680";
    readonly 'scale/gray/7': "#575C64";
    readonly 'scale/gray/8': "#43484E";
    readonly 'scale/gray/9': "#33373B";
    readonly 'scale/blue/0': "#edf2fd";
    readonly 'scale/blue/1': "#c6d8fa";
    readonly 'scale/blue/2': "#abc5f7";
    readonly 'scale/blue/3': "#84aaf4";
    readonly 'scale/blue/4': "#6d99f1";
    readonly 'scale/blue/5': "#4880ee";
    readonly 'scale/blue/6': "#4274d9";
    readonly 'scale/blue/7': "#335ba9";
    readonly 'scale/blue/8': "#284683";
    readonly 'scale/blue/9': "#1e3664";
    readonly 'scale/green/0': "#E9FAF6";
    readonly 'scale/green/1': "#BAEFE2";
    readonly 'scale/green/2': "#98E8D4";
    readonly 'scale/green/3': "#69DDC0";
    readonly 'scale/green/4': "#4CD6B4";
    readonly 'scale/green/5': "#1FCCA1";
    readonly 'scale/green/6': "#1CBA93";
    readonly 'scale/green/7': "#169172";
    readonly 'scale/green/8': "#117059";
    readonly 'scale/green/9': "#0D5644";
    readonly 'scale/pink/0': "#FCF2FD";
    readonly 'scale/pink/1': "#F5D6F8";
    readonly 'scale/pink/2': "#F0C2F4";
    readonly 'scale/pink/3': "#E9A7EF";
    readonly 'scale/pink/4': "#E595EC";
    readonly 'scale/pink/5': "#DE7BE7";
    readonly 'scale/pink/6': "#CA70D2";
    readonly 'scale/pink/7': "#9E57A4";
    readonly 'scale/pink/8': "#7A447F";
    readonly 'scale/pink/9': "#5D3461";
    readonly 'scale/skyblue/0': "#EFF9FD";
    readonly 'scale/skyblue/1': "#CFEDF8";
    readonly 'scale/skyblue/2': "#B7E4F5";
    readonly 'scale/skyblue/3': "#96D8F1";
    readonly 'scale/skyblue/4': "#82D1EE";
    readonly 'scale/skyblue/5': "#63C5EA";
    readonly 'scale/skyblue/6': "#5AB3D5";
    readonly 'scale/skyblue/7': "#468CA6";
    readonly 'scale/skyblue/8': "#366C81";
    readonly 'scale/skyblue/9': "#2A5362";
    readonly 'scale/red/0': "#632A2A";
    readonly 'scale/red/1': "#823838";
    readonly 'scale/red/2': "#A84848";
    readonly 'scale/red/3': "#D75C5C";
    readonly 'scale/red/4': "#EC6565";
    readonly 'scale/red/5': "#F08484";
    readonly 'scale/red/6': "#F29898";
    readonly 'scale/red/7': "#F6B8B8";
    readonly 'scale/red/8': "#F9CFCF";
    readonly 'scale/red/9': "#FDF0F0";
    readonly 'scale/yellow/0': "#675025";
    readonly 'scale/yellow/1': "#876931";
    readonly 'scale/yellow/2': "#AE883F";
    readonly 'scale/yellow/3': "#DFAE51";
    readonly 'scale/yellow/4': "#F5BF59";
    readonly 'scale/yellow/5': "#F7CC7A";
    readonly 'scale/yellow/6': "#F8D490";
    readonly 'scale/yellow/7': "#FAE2B3";
    readonly 'scale/yellow/8': "#FCEBCC";
    readonly 'scale/yellow/9': "#FEF9EE";
    readonly dim: "#00000099";
    readonly link: "#4880ee";
    readonly 'link/hovered': "#335ba9";
    readonly 'link/pressed': "#335ba9";
    readonly 'link/neutral': "#7A828D";
    readonly 'link/neutral/hovered': "#575C64";
    readonly 'link/neutral/pressed': "#575C64";
    readonly 'link/neutral/bold': "#575C64";
    readonly 'link/neutral/bold/hovered': "#33373B";
    readonly 'link/neutral/bold/pressed': "#33373B";
    readonly 'link/disabled': "#575C64";
    readonly 'icon/neutral': "#D1D5DB";
    readonly 'icon/neutral/bold': "#8D94A0";
    readonly 'icon/neutral/bolder': "#575C64";
    readonly 'icon/accent/gray': "#33373B";
    readonly 'icon/accent/blue': "#4880ee";
    readonly 'icon/accent/blue/bold': "#335ba9";
    readonly 'icon/accent/green': "#1FCCA1";
    readonly 'icon/accent/yellow': "#FFC107";
    readonly 'icon/accent/red': "#F22735";
    readonly 'icon/inverse': "#FFFFFF";
    readonly 'icon/disabled': "#D1D5DB";
    readonly 'icon/disabled/subtler': "#E5E7EB";
    readonly 'icon/selected/violet': "#835EEB";
    readonly 'icon/selected': "#33373B";
    readonly 'icon/primary/subtle': "#C6B5F6";
    readonly 'icon/primary': "#835EEB";
    readonly 'icon/primary/bold': "#5D43A7";
    readonly 'icon/success': "#1FCCA1";
    readonly 'icon/warning': "#FFC107";
    readonly 'icon/danger': "#F22735";
    readonly 'border/neutral/subtle': "#F3F4F6";
    readonly 'border/neutral': "#E5E7EB";
    readonly 'border/neutral/bolder': "#D1D5DB";
    readonly 'border/input': "#E5E7EB";
    readonly 'border/inverse': "#FFFFFF1A";
    readonly 'border/selected': "#33373B";
    readonly 'border/disabled': "#F3F4F6";
    readonly 'border/primary': "#835EEB";
    readonly 'border/hovered': "#84aaf4";
    readonly 'border/focused': "#4880ee";
    readonly 'border/danger': "#F22735";
    readonly 'border/success': "#1FCCA1";
    readonly 'bg/secondary': "#F3EFFD";
    readonly 'bg/secondary/hovered': "#D9CDF9";
    readonly 'bg/secondary/pressed': "#D9CDF9";
    readonly 'bg/primary': "#835EEB";
    readonly 'bg/primary/hovered': "#5D43A7";
    readonly 'bg/primary/pressed': "#5D43A7";
    readonly 'bg/neutral/subtlest': "#FFFFFF00";
    readonly 'bg/neutral/subtlest/hovered': "#F9FAFB";
    readonly 'bg/neutral/subtlest/pressed': "#F9FAFB";
    readonly 'bg/neutral/subtler': "#FFFFFF00";
    readonly 'bg/neutral/subtler/hovered': "#F3F4F6";
    readonly 'bg/neutral/subtler/pressed': "#F3F4F6";
    readonly 'bg/neutral/subtle': "#F9FAFB";
    readonly 'bg/neutral/subtle/hovered': "#E5E7EB";
    readonly 'bg/neutral/subtle/pressed': "#E5E7EB";
    readonly 'bg/neutral': "#F3F4F6";
    readonly 'bg/neutral/hovered': "#D1D5DB";
    readonly 'bg/neutral/pressed': "#D1D5DB";
    readonly 'bg/neutral/bold': "#575C64";
    readonly 'bg/neutral/bold/hovered': "#33373B";
    readonly 'bg/neutral/bold/pressed': "#33373B";
    readonly 'bg/neutral/bolder': "#33373B";
    readonly 'bg/neutral/bolder/hovered': "#000000";
    readonly 'bg/neutral/bolder/pressed': "#000000";
    readonly 'bg/disabled': "#F3F4F6";
    readonly 'bg/disabled/subtlest': "#FFFFFF00";
    readonly 'bg/input': "#FFFFFF";
    readonly 'bg/accent/blue/subtlest': "#edf2fd";
    readonly 'bg/accent/green/subtlest': "#E9FAF6";
    readonly 'bg/accent/yellow/subtlest': "#FFF9E6";
    readonly 'bg/accent/red/subtlest': "#FEE9EB";
    readonly 'bg/accent/red/subtle': "#F5525D";
    readonly 'bg/accent/red': "#F22735";
    readonly 'bg/accent/gray/subtlest': "#E5E7EB";
    readonly 'bg/selected/violet': "#835EEB";
    readonly 'bg/selected': "#33373B";
    readonly 'bg/selected/subtle': "#F3F4F6";
    readonly 'bg/inverse': "#000000";
    readonly 'bg/inverse/subtlest': "#FFFFFF1A";
    readonly 'bg/success': "#E9FAF6";
    readonly 'bg/success/bold': "#1FCCA1";
    readonly 'bg/warning': "#FFF9E6";
    readonly 'bg/warning/bold': "#FFC107";
    readonly 'bg/danger': "#FEE9EB";
    readonly 'bg/danger/bold': "#F5525D";
    readonly 'bg/danger/bold/hovered': "#DC2330";
    readonly 'bg/danger/bold/pressed': "#DC2330";
    readonly 'text/primary': "#835EEB";
    readonly 'text/accent/blue': "#4880ee";
    readonly 'text/accent/green': "#1FCCA1";
    readonly 'text/accent/yellow': "#FFC107";
    readonly 'text/accent/red': "#F22735";
    readonly 'text/neutral/subtlest': "#8D94A0";
    readonly 'text/neutral/subtler': "#7A828D";
    readonly 'text/neutral/subtle': "#575C64";
    readonly 'text/neutral': "#33373B";
    readonly 'text/inverse': "#FFFFFF";
    readonly 'text/inverse/subtle': "#E5E7EB";
    readonly 'text/inverse/subtler': "#D1D5DB";
    readonly 'text/disabled': "#8D94A0";
    readonly 'text/success': "#1FCCA1";
    readonly 'text/warning': "#FFC107";
    readonly 'text/danger': "#F22735";
    readonly 'text/selected': "#33373B";
};
type TextColorKey = keyof typeof textColor;
type BgColorKey = keyof typeof bgColor;
type BorderColorKey = keyof typeof borderColor;
type IconColorKey = keyof typeof iconColor;
type LinkColorKey = keyof typeof linkColor;
type DimColorKey = keyof typeof dimColor;
type ScaleColorKey = keyof typeof scaleColor;
type ColorKey = keyof typeof color;
export default color;
export { textColor, bgColor, borderColor, iconColor, linkColor, dimColor, scaleColor };
export type { ColorKey, TextColorKey, BgColorKey, BorderColorKey, IconColorKey, LinkColorKey, DimColorKey, ScaleColorKey, };
