import colorStopList from '../../foundation/gradient/colorStopList/index.js';
import direction from '../../foundation/gradient/direction/index.js';

const generateGradientTokenValue = (direction$1, colorStopList$1) => `${direction[direction$1]}, ${colorStopList[colorStopList$1]}`;
const textGradient = {
  'text/accent': generateGradientTokenValue('directionToRightBottom', 'colorStopListVioletPink')
};
const bgGradient = {
  'bg/accent/violet': generateGradientTokenValue('directionToRightBottom', 'colorStopListVioletPink'),
  'bg/accent/neutral': generateGradientTokenValue('directionToRightBottom', 'colorStopListBlackGray')
};
const borderGradient = {
  'border/accent/violet': generateGradientTokenValue('directionToRightBottom', 'colorStopListVioletPink')
};
const overlayGradient = {
  'overlay/subtlest/toright': generateGradientTokenValue('directionToRight', 'colorStopListWhite'),
  'overlay/subtlest/toleft': generateGradientTokenValue('directionToLeft', 'colorStopListWhite'),
  'overlay/subtlest/totop': generateGradientTokenValue('directionToTop', 'colorStopListWhite'),
  'overlay/floating/toright': generateGradientTokenValue('directionToRight', 'colorStopListWhite'),
  'overlay/floating/toleft': generateGradientTokenValue('directionToLeft', 'colorStopListWhite'),
  'overlay/floating/totop': generateGradientTokenValue('directionToTop', 'colorStopListWhite'),
  'overlay/bold/toright': generateGradientTokenValue('directionToRight', 'colorStopListBlack'),
  'overlay/bold/toleft': generateGradientTokenValue('directionToLeft', 'colorStopListBlack'),
  'overlay/bold/totop': generateGradientTokenValue('directionToTop', 'colorStopListBlack')
};
const gradient = {
  ...textGradient,
  ...bgGradient,
  ...borderGradient,
  ...overlayGradient
};

export { bgGradient, borderGradient, gradient as default, overlayGradient, textGradient };
